namespace Polly8Study.Test
{
    /// <summary>
    /// Polly8ʱ 
    /// ؼ
    ///     CancellationTokenûǲʹõ
    ///     ֮ǰ汾еֹ۳ʱ۳ʱòȡ
    /// </summary>
    public class Polly8RetryStrategyTest
    {
        private readonly ITestOutputHelper _output;

        public Polly8RetryStrategyTest(ITestOutputHelper testOutput)
        {
            _output = testOutput;
        }

        /// <summary>
        /// Բ
        /// </summary>
        [Fact]
        public void Test()
        {
            ResiliencePipeline pipeline = new ResiliencePipelineBuilder()
                .AddRetry(new RetryStrategyOptions
                {
                    ShouldHandle = new Polly.PredicateBuilder().Handle<Exception>(),
                    Delay = TimeSpan.FromSeconds(1),
                    MaxRetryAttempts = 3,
                    BackoffType = DelayBackoffType.Constant
                })
                .Build(); // After all necessary strategies are added, call Build() to create the pipeline.

            // Synchronous execution
            pipeline.Execute(static () =>
            {
                // Your code goes here
            });
        }

    }
}